curl --request PUT \
--url https://api.backside.app/api/v1/notes/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"body": "<string>",
"is_archived": true,
"is_pinned": true,
"metadata": "<unknown>",
"notebook_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_url": "<string>",
"title": "<string>"
}
'{
"body": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_archived": true,
"is_pinned": true,
"metadata": "<unknown>",
"tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"notebook_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_url": "<string>",
"word_count": 123
}curl --request PUT \
--url https://api.backside.app/api/v1/notes/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"body": "<string>",
"is_archived": true,
"is_pinned": true,
"metadata": "<unknown>",
"notebook_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_url": "<string>",
"title": "<string>"
}
'{
"body": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_archived": true,
"is_pinned": true,
"metadata": "<unknown>",
"tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"notebook_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_url": "<string>",
"word_count": 123
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Note ID
Was this page helpful?